const defaultBgPie = {
    red: [0, '30%'],
    yellow: ['30%', '60%'],
    blue: ['60%', '100%']
}
export default {
    install(Vue) {
        // 背景饼图
        Vue.directive('bgpie', {
            inserted(el, opt = defaultBgPie) {
                const bgStr = Object.entries(defaultBgPie)
                const str = bgStr.map(item =>
                    item[0] + ' ' + item[1].join(' ')
                ).join(',')
                el.style.background = `conic-gradient(${str})`
            }
        })
    }
}
